<script>
import moment from 'moment';
export default {
  mounted() {
    this.fetchAuto();
  },
  methods: {
    async fetchAuto() {
      console.log("recupero l'elenco delle auto");
      var response = await fetch("http://localhost:8000/api/elencoAuto");
      var elencoAuto = await response.json();
      this.elencoAuto = elencoAuto;
    },
    format_date(value){
         if (value) {
           return moment(String(value)).format('MM/DD/YYYY')
          }
      },
  },
  data() {
    return {
      elencoAuto: [],
    };
  },
};
</script>
<template>
  <div class="background">
    <div class="elencoAutoContainer">
      <h1 class="titolo">AUTO IN VENDITA</h1>
      <div class="row">
        <div v-for="auto in elencoAuto" :key="auto.idAuto" class="column">
          <router-link :to="{ name: 'auto', params: { id: auto.idAuto } }">
          <div class="card">
            <div class="container-immagine"><img class="immagine" :src="auto.immagine" alt="" ></div>
            <div class="container">
              <div class="marca">{{ auto.marca }}</div>
              <div class="marca">{{ auto.modello }}</div>
              <div v-if="auto.targa===null" class="inf">Targa: ---</div>
              <div v-else class="inf">Targa: {{ auto.targa }}</div>
              <div v-if="auto.dataImm===null" class="inf">Data Immatricolazione: ---</div>
              <div v-else class="inf">Data Immatricolazione: {{ format_date(auto.dataImm) }}</div>
              <div class="inf">Prezzo: {{ auto.prezzo }} €</div>
            </div>
          </div>
          </router-link>
        </div>
      </div>
    </div>
  </div>
</template>

<style>

* {    
  box-sizing: border-box;
  text-decoration: none;
}

.titolo{
  text-align: center;
}

/* Float four columns side by side */
.column {
  float: left;
  width: 25%;
  padding: 0 10px;
}

/* Remove extra left and right margins, due to padding in columns */
.row {margin: 0 -5px;}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Style the counter cards */
.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2); /* this adds the "card" effect */
  padding: 16px;
  text-align: center;
  margin: 10px;
  background-color: #ccffff;
  border-radius: 20px;
}

.immagine {
  border-radius: 10px;
  width: 80%;
  height: 50%;
}

/* Responsive columns - one column layout (vertical) on small screens */
@media screen and (max-width: 600px) {
  .column {
    width: 100%;
    display: block;
    margin-bottom: 20px;
  }
}

.container .marca {
  font-size: 18px;
  font-weight: bold;
  margin: 3px;
  font-style: normal;
  color: black;
}

.container .inf {
  font-size: 15px;
  margin: 3px;
  font-style:initial;
  color: black;
}
</style>